> For the complete documentation index, see [llms.txt](https://docs-cn.filswan.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs-cn.filswan.com/multichain.storage/developer-quickstart-1/sdk/js-mcs-sdk/zhi-fu-shu-ju-cun-chu-fei-yong.md).

# 支付数据存储费用

```shell
makePayment(wCid, minAmount, fileSize)
```

上传文件后，文件可以按其有效负载 cid 付费。该方法将有效负载 cid 作为第一个参数，将最小数量作为第二个参数。

```shell
require('dotenv').config()
const { mcsSDK } = require('js-mcs-sdk')

// set up js-mcs-sdk
const mcs = new mcsSDK({
  privateKey: process.env.PRIVATE_KEY,
  rpcUrl: process.env.RPC_URL,
})

async function main() {
  // ENTER PARAMETERS
  const W_CID = ''
  const MIN_AMOUNT = '1'
  const FILE_SIZE = ''
   
  const tx = await mcs.makePayment(W_CID, MIN_AMOUNT, FILE_SIZE)
  console.log(tx.transactionHash)
}

main()
```

#### 参数 <a href="#can-shu-1" id="can-shu-1"></a>

* **wCid**：文件的唯一有效负载
* **minAmount**：为文件支付的最低金额。用于避免大数字精度错误的字符串值
* **fileSize**：文件的大小

#### 返回 <a href="#fan-hui-1" id="fan-hui-1"></a>

返回 web3.js接收对象。在上面的示例中，仅打印来自此对象的事务哈希。

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs-cn.filswan.com/multichain.storage/developer-quickstart-1/sdk/js-mcs-sdk/zhi-fu-shu-ju-cun-chu-fei-yong.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
